WordPress.org

Forums

Shopp Image Tools
Activating Plugin Breaks Site (All goes blank) (7 posts)

  1. rolfs00
    Member
    Posted 1 year ago #

    Hello,

    We have a fully functioning site where Shopp seems to work fine: (https://navysealmuseum.com/museum-store/).

    We have migrated it to another URL, but are having issues with Shopp. Specifically, some of the images work, and some don't. Here is an example: http://204.197.253.145/~navyseal/museum-store/

    Issue: I have tried to use Shopp Image Tools, but when I activate the plugin, it breaks WordPress (e.g. the whole site goes blank). However, when I remove the plugin directory from wp-content, the site is back up (but with the broken images). So, stripping the images out of the database (at least using Shopp Image Tools) doesn't seem to work.

    Any help would be greatly appreciated! THANK YOU IN ADVANCE!

    Rolf

    http://wordpress.org/plugins/shopp-image-tools/

  2. rolfs00
    Member
    Posted 1 year ago #

    Update: I fixed the broken images (but not the issue of the site breaking upon activating Shopp Image Tools).

  3. Barry
    Member
    Plugin Contributor

    Posted 1 year ago #

    Hi rolfs00,

    That's a shame. I'm not sure why that would be happening; perhaps you can turn WP_DEBUG on or look in the server error log to see if you can capture any pertinent error messages?

    Please do note that the current version of Shopp Image Tools is designed to work with Shopp 1.3 - so if you are using an earlier version of Shopp I'm afraid it won't work (unless you also use an older version of Shopp Image Tools, of course).

  4. rolfs00
    Member
    Posted 1 year ago #

    Hello,

    Thanks for the prompt response! I think you resolved at least part of the issue: we are using Shopp ver 1.2.9. Unfortunately, we can't upgrade to Shopp 1.3. as it wrecks havoc on our site --- and this is why I was investigating using Shopp Image Tools.

    Do you know where I can get a copy of a previous version of Shopp Image Tools which would be compatible with my version of Shopp (1.2.9)?

    Thanks!

    I will keep you posted.

    Rolf

  5. Barry
    Member
    Plugin Contributor

    Posted 1 year ago #

    Yes: downloads for each version are available here. In your case you will probably want version 1.1.2.

  6. Clifton Griffin
    Member
    Posted 1 year ago #

    Lord Sir McBarry,

    This is caused by a call to shopp_admin_add_submenu, which only exists when Shopp 1.3 is installed and active.

    I know this because my own plugin has the same issue.

    It's because we're trying to be so cool and add our settings pages to tabs.

    Clif

  7. Barry
    Member
    Plugin Contributor

    Posted 1 year ago #

    Clifton de Griffin, esq.,

    Indeedio - but Shopp 1.3 is a requirement of Shopp Image Tools 1.3 - and so those who aren't cool enough to be running 1.3 across the boards should thusly use an older version of this plugin.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Shopp Image Tools
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic